<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use Modules\Lpj\Models\DokumenJaminan;
    use Modules\Lpj\Models\Permohonan;

    return new class extends Migration {
        /**
         * Run the migrations.
         */
        public function up()
        : void
        {
            Schema::create('permohonan_jaminan', function (Blueprint $table) {
                $table->id();
                $table->foreignIdFor(Permohonan::class)->constrained('permohonan');
                $table->foreignIdFor(DokumenJaminan::class)->constrained('dokumen_jaminan');
                $table->boolean('status')->default(true)->nullable();
                $table->timestamps();
                $table->softDeletes();

                $table->unsignedBigInteger('created_by')->nullable();
                $table->unsignedBigInteger('updated_by')->nullable();
                $table->unsignedBigInteger('deleted_by')->nullable();
            });
        }

        /**
         * Reverse the migrations.
         */
        public function down()
        : void
        {
            Schema::dropIfExists('permohonan_jaminan');
        }
    };
